#==============================================================================
# RNA Plugin Sample
#==============================================================================
#
#=============================================================================
# Copyright (C) 2003           Ikki Ohmukai,      All rights reserved.
#
#
# This file is part of RNA.
#
#    RNA is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    RNA is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with RNA; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#=============================================================================

package RNA::Plugin::Sample;  # 何でも良い
use strict;

# user defined routine
my $my_dir = RNA::Plugin::get_my_dir;
my $my_uri = RNA::Plugin::get_my_dir_uri;

my $html_file = 'sample.html';
my $cgi_file = 'rna-sample.cgi';

&_add_element;
&_make_html;

sub _add_element
{
	RNA::Plugin::add_template_element(
		'RNAPluginSampleHTMLURI' => $my_uri.$html_file, 
		'RNAPluginSampleCGIURI' => $my_uri.$cgi_file
	);
}


sub _make_html
{
	my $srss = RNA::Plugin::get_recent_site_rss;
	my $erss = RNA::Plugin::get_recent_entry_rss;

	my $sstr = RNA::Plugin::apply_template_to_rss($srss, 'stemplate');
	my $estr = RNA::Plugin::apply_template_to_rss($erss, 'etemplate');

	open(FILE, ">$html_file");
	print FILE $sstr . $estr;
	close(FILE);
}

#=============================================================================
1;

